<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=301879
  -->
<configuration>
	<configSections>
		<!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
		<section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
	</configSections>
	<connectionStrings>
		<add name="DefaultConnection" connectionString="Data Source=(LocalDb)\MSSQLLocalDB;AttachDbFilename=|DataDirectory|\aspnet-DeviceRepair.Api-20240416095845.mdf;Initial Catalog=aspnet-DeviceRepair.Api-20240416095845;Integrated Security=True" providerName="System.Data.SqlClient" />
	</connectionStrings>
	<appSettings>
		<!--<add key="DbConnection" value="BDE8F7885304F971652793A26A78C05A5037D6280601C6774ABFD7F44C1B873A2A79F9D088CF6FD89C227AE0B44A5226DF3BE8D7136A5584B9EF82EF17111DCEFC50467AA2016C983E4A2C388348CD579F2B752522430413AEFDD1725A61A7BE042E02FA82F17FB1F0DC3CC9534BD3625DC8F12EC361EAE5074C4DE21294D7D3" />-->
		<!--<add key="LogConnection" value="BDE8F7885304F971652793A26A78C05A5037D6280601C6774ABFD7F44C1B873A2A79F9D088CF6FD89C227AE0B44A5226A45982935AAA969DD2083D0C4490A626EF86FF5F3AADCC8AA52F594871B5ECE9280C276380BF31EA4C41A3AFF6AB004294F4CE90472421ADEBC6A8DA326A81AF2C73F29625645A8F0FA12CC730F693B6CD892ED6CA2D5BA4" />-->
		<add key="DbConnection" value="BDE8F7885304F971652793A26A78C05A5037D6280601C6774ABFD7F44C1B873A2A79F9D088CF6FD89C227AE0B44A5226DF3BE8D7136A5584B9EF82EF17111DCEFC50467AA2016C983E4A2C388348CD579F2B752522430413AEFDD1725A61A7BE042E02FA82F17FB1F0DC3CC9534BD3625DC8F12EC361EAE5074C4DE21294D7D3" />
		<add key="LogConnection" value="BDE8F7885304F971652793A26A78C05A5037D6280601C6774ABFD7F44C1B873A2A79F9D088CF6FD89C227AE0B44A5226A45982935AAA969DD2083D0C4490A626EF86FF5F3AADCC8AA52F594871B5ECE9280C276380BF31EA4C41A3AFF6AB004294F4CE90472421ADEBC6A8DA326A81AF2C73F29625645A8F0FA12CC730F693B6CD892ED6CA2D5BA4" />
		<add key="SfcConnection" value="BDE8F7885304F971652793A26A78C05A5037D6280601C6774ABFD7F44C1B873A2A79F9D088CF6FD89C227AE0B44A5226D5B497F9ACC46DF5CB372C6C25F5BE442DF2DACACF468AA62FEA2FB6DD2504E4FAF7BAA6AE05779838552E1B53273F6ABC0800E9B2C271BB5BAF76BC065E1D3DED598497A642BB90" />
		<add key="SecureKey" value="A4E3uxwPTQ8Jpi7Sp4" />
		<add key="AttachmentDirectory" value="D:\WorkStation\设备维护管理软件\DeviceRepairAPI\Attachment" />
		<add key="SFCWebServiceUrl" value="http://localhost/MedtronicSFC5" />
	</appSettings>
	<system.web>
		<authentication mode="None" />
		<compilation debug="true" targetFramework="4.5.2" />
		<httpRuntime targetFramework="4.5.2" maxRequestLength="20480" />
	</system.web>
	<system.webServer>
		<modules>
			<remove name="FormsAuthentication" />
		</modules>
		<handlers>
			<remove name="ExtensionlessUrlHandler-Integrated-4.0" />
			<remove name="OPTIONSVerbHandler" />
			<remove name="TRACEVerbHandler" />
			<add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
		</handlers>
		<security>
			　<requestFiltering>
				<requestLimits maxAllowedContentLength="20971520" />
			</requestFiltering>
		</security>
	</system.webServer>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Owin.Security" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Owin.Security.OAuth" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Owin.Security.Cookies" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Owin" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
				<bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
				<bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<entityFramework>
		<defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
			<parameters>
				<parameter value="mssqllocaldb" />
			</parameters>
		</defaultConnectionFactory>
		<providers>
			<provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
		</providers>
	</entityFramework>
	<system.codedom>
		<compilers>
			<compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701" />
			<compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+" />
		</compilers>
	</system.codedom>
</configuration>